Bug 122529 - Resize handles in tables (Writer)
Summary: Resize handles in tables (Writer)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: iOS Editor (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other iOS
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 13:45 UTC by Nicolas Christener
Modified: 2019-08-22 11:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Resize handles in apple pages (iOS) (181.05 KB, image/png)
2019-01-07 13:47 UTC, Nicolas Christener
Details
Resize handles in apple pages (iOS) (182.68 KB, image/png)
2019-01-07 13:48 UTC, Nicolas Christener
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-01-07 13:45:44 UTC
Description:
A user should be able to resize rows/columns of a table with the finger.

Apple pages has a nice implementation:

* click on/in a table -> above/next to rows and columns a "label bar" where
  the columns are labeled A,B,C... and row are numbered 1,2,3... is shown

* clicking on a row/column highlights the cells and shows a sign with a icon
  with two bars which indicates a handle to resize the row/column

Please see attached screenshot to get an idea.

Steps to Reproduce:
1. Create a table in a write document with the iOS app
2. Try to resize columns/rows of the table

Actual Results:
There is no (easy) way to resize columns/rows.

Expected Results:
There should be a way to resize columns/rows with a finger.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Nicolas Christener 2019-01-07 13:47:49 UTC
Created attachment 148096 [details]
Resize handles in apple pages (iOS)
Comment 2 Nicolas Christener 2019-01-07 13:48:07 UTC
Created attachment 148097 [details]
Resize handles in apple pages (iOS)
Comment 3 Xisco Faulí 2019-02-07 16:13:06 UTC
Let change this one to new...
Comment 4 Aron Budea 2019-02-08 23:56:27 UTC
This is still a missing feature in Online.
Comment 5 Commit Notification 2019-08-15 02:50:19 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43cce4ef2cf865b2bb637e17b70102a4260295b0%5E%21

tdf#122529 lok - table border position manipulation

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-08-15 03:16:21 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/online/+/cc7060293945a6d45bf83376a456c57165a10f2f%5E%21

tdf#122529 Support for table overlay - column/row change markers
Comment 7 Nicolas Christener 2019-08-16 07:13:32 UTC
I tested this in 4.1.51 (51) and it seems to work as expected. I think we can closed this one as "fixed".

Thanks a lot to the Collabora team!